Milyen/melyik program kell feltétlenül egy pupletbe?

Pupletek, Új puppy változatok, veruiók, ISO fájlok,
Avatar
Asterix
Hozzászólások: 440
Csatlakozott: 2015.07.11. 08:55

Re: Milyen/melyik program kell feltétlenül egy pupletbe?

Hozzászólás Szerző: Asterix » 2018.07.03. 13:14

Üdv!
@krosz54 írta: "Ezért szurkolok nagyon az új komondor-projektnek, hátha." :idea:
Ez a projekt milyen kernelre épülne? Lehetne ezt tudni? i386, noPAE, PAE, x86_64 ? Esetleg meglévő verzió megbuherálva? :?: ;)
Ettől függ sok minden!
Egyébként egy teljesen alaptudású puppy, amit egy "saját respository" -ból lehetne bővíteni! Álom, álom, de szép álom! :mrgreen:

NTamas
Hozzászólások: 1480
Csatlakozott: 2014.06.19. 13:36

Re: Milyen/melyik program kell feltétlenül egy pupletbe?

Hozzászólás Szerző: NTamas » 2018.07.03. 13:57

Asterix írta:
2018.07.03. 13:14
Ez a projekt milyen kernelre épülne?
Ha jól emlékszem ez a project a skami által elkezdett minimal Linux-ot takarja. Ha nem jól emlékszem, akkor elnézést kérek....

ticoo1
Hozzászólások: 216
Csatlakozott: 2014.10.21. 08:58

Re: Milyen/melyik program kell feltétlenül egy pupletbe?

Hozzászólás Szerző: ticoo1 » 2018.07.03. 17:10

Halihó!

Asterix, pont most fektetjük le az alapokat és szerintem már 95 %-ban kialakult a tartalom, s a megoldás módja is.

Kell az alap --MJ. szerintem is a Stretch a legjobb :mrgreen: -- és az egyszerű bővítési lehetőség, de az alap legyen előkészítve a többi program telepítéséhez (pl. az apulse alapból legyen benne... stb.). Csak olyan .sfs-ket, .pet-eket kell összegyűjteni, amik működnek is, vagyis ki kell próbálni a kompatibilitást. Ugyanez kell, hogy vonatkozzon a huge kernelekre is. Persze több alapot kell csinálni (UBB, Strech, Arful, Lxpup, stb.) csak azért, hogy mindenki kedvére variálhasson. Egyébként skami, kros54 is már többször finoman jelezte, hogy "rakjuk össze amink van" ! Hát álljunk neki, én már elkezdtem, csak eddig mindig megakadtam ott, hogy mi legyen benne és hogyan. Most már sejtem. Elkezdtem összegyűjteni és kipróbálni az alkalmazható progikat. Nem véletlenül "erőltetem" a különböző puppy-k összeállítását, magyarosítását (persze millió hibával), szeretnék egy-két elfogadható variánst, de egyedül nem megy! :!: (Ez se...)

Avatar
KuLuSz
Hozzászólások: 383
Csatlakozott: 2014.06.17. 21:19

Re: Milyen/melyik program kell feltétlenül egy pupletbe?

Hozzászólás Szerző: KuLuSz » 2018.07.05. 16:10

Asterix írta:
2018.07.03. 13:14

Ez a projekt milyen kernelre épülne? Lehetne ezt tudni? i386, noPAE, PAE, x86_64 ?
A LINKBEN található a project, és a szerkesztendő dolgok . Jelenleg 1 "új" kernelen gondolkodunk amiből még nem készült puppy. Ez a linux-4.16.13-noPAE és linux-4.16.13-PAE, e-2 i686, majdan lesz x86_64 is. A project még nagyon gyerekcipőben jár ... sosem csinált se skami se én ilyet, így elég hosszadalmas folyamat lesz . Az első cél össze hozni 1 olyan szkript együttest ami kvázi autómatikusan leforditja a kernel és a programok forrás csomagjait függőségekkel együtt . Az első rendszer (ha összejön) a skami mini rendszere lesz pár programmal kernellel , amit a pupngo-ról mintázunk .
-<(].K.u.L.u.S.z.[)>-
---------------------------------------
Általában megtalálható vagyok az Angol irc csevegőn vagy a Discordon KuLuSz néven.

Avatar
Asterix
Hozzászólások: 440
Csatlakozott: 2015.07.11. 08:55

Re: Milyen/melyik program kell feltétlenül egy pupletbe?

Hozzászólás Szerző: Asterix » 2018.07.06. 15:51

Üdv!
Abszolute csak kiváncsiságból: kinek az ötlete volt a "k-4.16.13" ? és főleg, miért? (szűz kernel, be kell tőrni! :mrgreen: )
Néztem a neten, de szinte semmi infó róla! Ha csak az nem, hogy Stemsee nagyon rövid időn belül törölte és a 4.17.x-re váltott.
"make menuconfig"-gel megnéztem pár 4.1x.xx kernelt, szinte semmi különbség köztük.

Avatar
S-kami
Adminisztrátor
Hozzászólások: 860
Csatlakozott: 2014.04.16. 12:54
Kapcsolat:

Re: Milyen/melyik program kell feltétlenül egy pupletbe?

Hozzászólás Szerző: S-kami » 2018.07.06. 17:14

Az volt a script írásakor aktuális stabil, hosszútávon támogatott kernel, a build script készítése szempontjából teljesen lényegtelen.
Jelenleg a https://www.kernel.org/ -on elérhető aktuális, hosszútávú, stabil kernel a 4.17.4 és természetesen a terv az, hogy egy ilyen stabil ág kerüljön az alap rendszerbe, de nekem most erre nem sok időm van sajnos...
Puppy linux ! Mert megérdemlem !
Kép

kzprog
Hozzászólások: 93
Csatlakozott: 2014.07.05. 16:51

Re: Milyen/melyik program kell feltétlenül egy pupletbe?

Hozzászólás Szerző: kzprog » 2018.07.08. 18:05

Amit Ti csak tervezgettek, megcsinálták? Igazi konkurencia a puppynak?
http://emmabuntus.sourceforge.net/media ... _portal/fr

Mindenesetre a programkínálatát érdemes megnézni!

kros54
Hozzászólások: 347
Csatlakozott: 2014.06.17. 07:01
Kapcsolat:

Re: Milyen/melyik program kell feltétlenül egy pupletbe?

Hozzászólás Szerző: kros54 » 2018.07.08. 19:43

Erről már volt szó... 2016.03.02.
viewtopic.php?f=50&t=327
Egyébiránt a Puppynak a méret miatt sem lehet konkurenciája.

NTamas
Hozzászólások: 1480
Csatlakozott: 2014.06.19. 13:36

Re: Milyen/melyik program kell feltétlenül egy pupletbe?

Hozzászólás Szerző: NTamas » 2018.07.09. 22:56

Egy lehetséges alternatíva, egy újra remasterelt és javított kiadású (2018-as) barebone puppy iso került kiadásra pár nappal ezelőtt.

Ha már így a nosztalgia az előbb szóba került, Asterix-nek és mindenkinek is ajánlok egy régi-új verziót kipróbálásra, és azoknak is erősen ajánlom ezt, akik még bőszen keresnek egy egyszerű, de jó kis alapot a saját puppy verziójuk megépítéséhez, mert ez egy ún barebone iso.

A magyarázathoz kellő murga-s fórum linkek, sorrendben:
http://www.murga-linux.com/puppy/viewto ... 519#990519
http://www.murga-linux.com/puppy/viewto ... 794#976794
http://www.murga-linux.com/puppy/viewto ... 242#998242
https://sourceforge.net/projects/puppy- ... rce=navbar
-- slacko-5.8CEbare.iso 2018-07-07 153.9 MB --
és még egy link, ami esetleg -biztosan- kelleni fog még ehhez:
https://www.mediafire.com/folder/kwhxks ... 99c75b8l19
( az innen letölthető devx file miatt!)

Szóval ez a régi-új verzió egy Slacko alapú minimal live(barebone)csomag, aminek a frissítése már tartalmazza a nemrégen elhíresült kernel is vulnerable to Meltdown/Spectre probléma elleni javítást, és a mostani, 2018-as verzióban, ha jól olvastam egy javított 3.18.113 (nopae) kernel van beletéve, és az angol nyelvű hozzászólás szerint, idézem:
- The 2018 version of the Slacko5.7 was updated due to the WPA Supplicant "KRACK" security hole. -
még a Wifi témában is kapott egy + javítást, apropó, eleve egy beépített frisbee wifi szoftver van benne, médialejátszónak egy gnome-mplayer lejátszó lett beépítve, és annyira minimal a verzió, hogy nincs is benne webböngésző!!! Komolyan! Nem vicc, így van!
A beépített PPM-ből ugyan letölthető egy Seamonkey-2.38-as verzió, és egy régebbi Firefox-17.0.11esr is, ha jól láttam, de a csomagkezelő kissé hiányos, hiába frissítettem le azonnal, a frissítése után is alig van benne pár alkalmazás. Persze a rendszer pet csomagokkal is jól bővíthető, kell is, mert pl. egy hálózati rendszeridő frissítő progi sincs benne alapból, (sőt alapból még képnéző és képmentő progink sincs!) ezért a psync-2.10.pet csomagot azonnal rá kell tenni, hogy a netről lehessen a rendszeridőt kényelmesen frissíteni.
Apropó, nálam azonnal volt net elérés, mivel a routerem ezt biztosítja, így nem kellet a netbeállításokal bajlódnom, de a tálcán lévő hálózat ikonra a vicc kedvéért ráklikkeltem, a setup-ban a frisbee beállításában frissítettem a kiválasztott hálókártyámnál a dhcp-t, és simán azonnal kaptam friss, új ip címet, de mint írtam, nálam alapból jó volt ez amúgy is. Persze másnál, ha nem azonnal van net, azt be kell állítani rendesen, de pl. a beépített frisbee-vel ez szinte gyerekjáték lesz.
Nálam a hang is működött elsőre, de szerencsére alapból van a puppyn egy Alsa Sound Wizard, így hozzá lehet igazítani a meglévő hangkártyánkhoz a rendszert. A retrovol a már megszokott beállításokat igényli, alapból a tálcaszabályozó az Alsa hangrész/mixer master ágat vezérli, és kapunk még két menüből indítható hangmixer alkalmazást is.
Apropó menü, egy egyszerű kis menü van benne, úgy látszik a készítőnek ez jött be, speciel nekem is, de ez most mellékes.
Az öreg videókártyámat hiba nélkül felismerte, de az alapból benne lévő noveau driver csak 1024x768-ban volt képes azt működtetni, ez mondjuk nem egy szokatlan dolog, más puppy verzió, még az újabbak is ezt nyújtják megfelelő videódriver hiányában. Van benne még egy jó kis program a videóbeállításhoz, a Zarfy, de az sem képes az említett alap VGA felbontástól többet kihozni a rendszerből megfelelő, hozzávaló videó driver nélkül.
Hát ennyit erről a régi-új verzióról a többit fedezzétek fel magatok, talán még annyit, hogy -és ezért linkeltem be a feljebb az utolsó linkben megtalálható weboldalt- az ott lévő, és letölthető devx file ugyan még csak az előző, r6298 verzióhoz való devx fájl, de ennek elvileg ehhez az új slacko-5.8CEbare.iso verzióhoz is jónak kell lennie.

Most ennyit, én most újra felteszem az említett iso-t a már megszokott frugall módban, ehhez én a következő bejegyzést írtam be a menu.lst fájlba:

title Puppy slacko-5.8CEbare (sdb2/Puppy)
uuid 14324149-e41b-44dd-ab6e-8d298c24c1b1
kernel /Puppy/vmlinuz pmedia=atahd psubdir=Puppy pfix=fsck
initrd /Puppy/initrd.gz

Ezen indító bejegyzés hatására azonnal elindult a fentebb belinkelt új iso verzió. Képek majd később...
----------------------------------------------------------------------------------------------------------------------------------
A beigért képek:
Kép
Kép
Jól látható, hogy az alapcsomagban nincsen telepítve egyetlen webböngésző sem!
A rendszer csomagkezelőjéből azért két régebbi böngésző is elérhető, és telepíthető, lásd a képen.
Kép

Az említett Zarfy monitor beállító program is az alapcsomag része, de megfelelő videódriver hiányában csak a standard VGA felbontásokat tudja ő is felajánlani, semmi mást.
Kép
Kép
Kép
Kép
Ezen az utolsó képen látható, -a telepítés után a képmentő proginak a főmenüben még nincsen kis ikonképe- hogy a viewnior-1.1.pet(képnéző progi) és a psnapshot-1.9.pet(az mtpaint-hoz való képmentő csomag) az már utólag lett a rendszerre feltéve. Szerencsére az mtPaint az alaprendszer része.

Kép
Kép
Kép
Kép
Alapesetben a rendszer kevés memóriával is beéri, és ez mindenképp egy jó jel. Ráadásul a taskfolyamatok száma is kellően alacsony, ez is egy jó dolog.

A rendszer csomagkezelőjéből azért jópár dolgot elérhetünk, én pl. itt az Audacious programot próbáltam feltelepíteni, és ez sikeres is volt, minden függőséget lehozott, legalábbis az ellenőrzés nem talált semmi gondot, vagy függőséghiányt. A progi is rendben működik!
Kép
Kép
Munkában az Audacious, egy mp3-as zenealbum után itt egy flac rendszerű albumot játszik le éppen.

Kép
A rendszer alapértelmezett médialejátszója a Gnome-mplayer, ez próbaként még egy h265-ös codeckkel készült mkv fájlt is sikeresen le tudott játsszani.(a közismert Big Bunny-s tesztfájlról van szó)

Meglepetésemre simán lejátszott még egy h265 HEVC codeckkel készült Blender animációs tesztfájlt is!
Ahhoz képest, hogy nincs benne egy rendes videódriver a kártyámhoz, ez nem egy rossz teljesítmény.
Kép

A csomagkezelőből telepíthető még a másik nagy kedvencem, a terminal ablaban játszó mocplayer, netes rádiólejátszó program is.
Kép

Az általam feltelepített yadrádió képe. A rendszerben alapból a 0.40-es yad verzió található meg.
Kép
A netes rádiós streamek lementéséhez a programnak még szüksége van a streamripper progira is, alapból ez benne van, viszont nem emlékszem már, hogy milyen verzió számú is az, így azt is lefrissítettem utólag a puppy csomagkezelőjéből. A streamripperrel kimentett mp3-as fájlokat játssza itt nekem épp az Audacious.
Kép

A már elmlített, és a rendszer csomagkezelőjéből telepíthető Firefox-17.0.11esr webböngésző nem egy mai darab, de még jól használható egyszerű weboldalak böngészésére. A youtube html5 tesztoldalon ugyan elvérzik, de.....
Kép
szóval azért azt vegyük észre, hogy a html5 lejátszást azért jól megoldja, ez nem vicc, és a webm protokollt is jól ismeri, sőt még egyéb trükköt is tud ezzel kapcsolatban.
Kép

Tehát szépen megy a youtube-ról a html5 lejátszó a koros webböngészőben.
Kép

És akkor most jön az említett kis trükk:
A Firefox böngészőben a html5 lejátszó képére ráklikkelünk a jobb egérgommbal, és ha ezt jól csináltuk, akkor kapunk egy felbukkanó kis menüt, ahol menteni lehet!!! -Save Video AS- az éppen nézett videót! Bizony ám, és ehhez nem kell külön telepíteni semmilyen külső FFox addont sem!
Kép
Ha klikkeltük a mentést, akkor még meg kell adni egy helyet, hova mentse le a rendszer az éppen nézett videót, valamint egy fájlnevet is adni kell a mentésnek, na meg egy kiterjesztést is.(ez utóbbit a mentés után is megtehetjük, én is úgy tettem, utólag kapott a lementett fájl webm kiterjesztést) És itt emlékezzünk csak egy pillanatig a fenti html5 tesztképre, mivel is van jó barátságban ez a régi FF verzió? -igen, a webm-el, tehát a menteni kívánt videófájlnak egy . webm kiterjesztést adunk meg,
Kép
és azt láthatjuk, hogy ezen művelet után a webböngészőben látott videóklippet simán le tudjuk menteni a sz.gépünkre. Az meg ugye mindenkinek tiszta, hogy a webm átkonvertálható külső programal mp4-nek is, ha nagyon szükséges. Az így lementett webm videót a rendszer alapértelmezett médialejátszója meg simán lejátssza.
Kép
Kép

És végül még egy kis csinosítás, a rendszertálcán alapból eléggé fapados az óra kijelzése, ezért egy PupClockset-2.6.pet csomag utólagos telepítésével ez a gond áthidalható, és a tálcán kijelzett óra a nekünk tetsző formára hozható.
Kép

Hát ennyi lenne ennek a jó kis barebone iso-nak a bemutatója, szerintem egy próbát mindenképp megér, mert igen jó kis saját puppy verziót lehet belőle faragni. Nincs teletömve felesleges progikkal, és így azt tehetünk bele, ami nekünk kelleni fog majdan. So sikert a próbához, és a használathoz, sziasztok!

Kiegészítés:
Felkerült a rendszerre még a csomagkezelőből a bleachbit és annak függőségei, valamint az örök kedvencem, a pupRadio/pupTelly program 0.19-es verziója pet csomagból.

Kép

Ezzel így ez a kibővített slacko-5.8CEbare puppy program már egyszerűbb netezésre, netrádiózásra, saját zenék hallgatására és videó fájlok nézésére simán megfelelő ebben az állapotában is.

Avatar
Asterix
Hozzászólások: 440
Csatlakozott: 2015.07.11. 08:55

Re: Milyen/melyik program kell feltétlenül egy pupletbe?

Hozzászólás Szerző: Asterix » 2018.07.10. 09:46

Üdv!
NTamas! Letöltöttem, elindítottam, az nvidia drivert szépen telepítette!
Minden általad feltöltött képet produkálni tudtam :!: ,de nálam a "noPAE" miatt nem játszik! :(
Képet nem teszek fel,bár itt a TAS által készített képek betű tipusa jól olvasható! :mrgreen:
Csak 1!
webm.JPG
webm.JPG (14.88 KiB) Megtekintve 194 alkalommal

Válasz küldése

Vissza: “Pupletek”